Subject: cygwin.dll problem with multiple users
From: [email-masked] (Shankar Ramamoorthy)

18 Mar 1997 06:55:39 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (X11; I; SunOS 5.4 sun4m)
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

[I've looked in the FAQ and mail archives for a mention of this
 but did not see anything. If it is there, just point me at it.
]

What follows is w.r.t Windows NT 4.0 and Cygwin Beta 17.1.

Can two different users simultaneously use programs linked against
cygwin.dll? It doesn't seem to work for me.

For example: I log is as administrator and start bash.
Then telnet in as another user. When I try to start bash within the
telnet session I get:
  (unknown) shared_init:
CreateFileMappingA                                       
  cygwin: terminating
Now I exit the bash session started as administrator. I am now
able to start bash in the telnet session.

I have this same problem with other, simpler things as well.
For example, sleep.

This might not be a problem, except that one of the components of the
application I'm building is a system service. In the "Log On As" part
of the Startup configuration of the service the default is "System
Account".
In that case the rest of the components in the application are not
usable from the command prompt, even when logged in as administrator.
If I change the "Log On As" stuff to be Tha Account = administrator
etc. and stop and restart the service, then voila, I can use the
tools from the command prompt.

Any fixes/help/suggestions?

Shankar
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".